2 Replies Latest reply on May 8, 2006 3:44 PM by Victor Lewis

    JSP and Java5 Generics - Compiler reports error

    Philip Saville Newbie

      I am using JDK 5 for my application running in Tomcat 5.

      I am successfully using generics throughout my application, even in my JSPs. Tomcat compiles and runs the JSPs just fine!

      In Eclipse, my JSP builder reports errors in the Problem tab:

      Syntax error, parameterized types are only available if source level is 5.0

      Map<String,FilterAttribute> map =
       (Map<String,FilterAttribute>)pageContext.getAttribute("attributes");
      


      The type List is not generic; it cannot be parameterized with arguments < String>

      List<String> simpleContexts = attr.getSimpleViewNames();
      


      Is there any way to stop JBoss IDE JSP builder from reporting these errors? Is it an expected update for the builder to support Java 5 features?

      Thanks.